Smart Materials Database Server - Intergraph Smart Materials - Version 2020 (10.0) - Release Bulletin - Hexagon PPM

Intergraph Smart Materials Release Bulletin (2020)

PPMProduct
Intergraph Smart Materials
PPMCategory_custom
Release Bulletin
SPFVersion_custom
Version_SPMat_custom
2020 (10.0)

Each database server must meet the following requirements.

If your database will provide full multi-language support, you must set up the database with NLS parameters as described in Multi-Language Support.

Hardware Requirements

The following table shows the memory and disk space recommendations for installing Oracle Database 18c Release:

Size

Users

CPUs

(Types are samples, similar types can be used)

RAM

Hard Drive Size - OS, RDBMS, Database

/tmp Directory

Small

<= 15

XEON

16 GB

80 GB

200 MB

Medium

<= 100

XEON

48 GB

Large

<= 400

XEON

128 GB

  • A minimum of 8 GB RAM is required, otherwise the Oracle Database Installer will not succeed.

  • Between 6.5 GB and 7 GB of disk space is required for the Oracle and Smart Materials software, depending on the installation type.

  • The performance of the database environment depends primarily on the mass storage and memory performance, but less on the CPU performance.

Supported Operating System

Windows Server 2016 Standard or Datacenter Edition

Intergraph only supports operating systems that are certified/supported by Oracle for the specific RDBMS version required by Smart Materials. The list of Oracle-supported operating systems can be accessed on the Oracle Support web site. When running a non-Windows server environment on the database server, please raise an SR via Smart Support to determine the supported combination of RDBMS version and required Oracle RDBMS patch set.

Software Prerequisites

Oracle Database Standard Edition 18c Release (18.6.0.0.0) (minimum release for Smart Materials 2020 (10.0.0))

Required Part:

  • Oracle Database Standard Edition 18c Release (18.0.0.0.0) for Microsoft Windows x64 (64-bit) V979518-01

  • Oracle Database Patch (29589622)

  • Oracle Database Patch (29249584)

  • Oracle OPatch 12.2.0.1.14 or higher (Download the latest version from Oracle)

  • Oracle Application Express 19.1.0.00.00 Multilanguage

    With Smart Materials 2020 it is required to install APEX, even if you do not use Smart Materials Web (formerly BIR).

Adobe Reader 8 or later compatible version, downloadable from the Adobe web site (required to view the Readme file)

If a previous APEX version is already installed, the APEX installer automatically detects the existing version and migrates to the new version.

Additional Information for the Database Server

To set up email functionality for Smart Materials, the database server must have access to email servers.